/*
    NullBot Robot Platform - Server - 2005-2011 Jason Hunt
    
    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com
    
    File: camera.h
*/


#ifndef CAMERA_H
#define CAMERA_H

#define CAMERA_FILE "/dev/video0"

#define REC_BUFFER  1024

#define NC_IMAGE_SIZE   0x40
#define NC_IMAGE_SIZE_LEN 11

#define MAX_X_SIZE 640
#define MAX_Y_SIZE 480

#define  MAX_IMAGE   MAX_X_SIZE * MAX_Y_SIZE 

void camera_start( void );
void camera_stop( void );
    
#endif


