/*
    Robot Controller Client

    (C) 2005-2011 Jason Hunt

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com

    FILE: types.h
*/

#ifndef TYPES_H
#define TYPES_H

// interface to windows colors
typedef struct color_type
{
    unsigned char b, g, r;//, pad;
};



typedef struct line
{
    double x1, y1;
    double x2, y2;
};


typedef struct point
{
    double x,y;
};



typedef struct linked_list
{
    linked_list *next;
    void *data;
};

typedef unsigned char byte;


#endif









