/*
    NullBot Robot Platform - Server - 2005-2011 Jason Hunt
    
    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com
    
    File: network.h
*/


#ifndef NETWORK_H
#define NETWORK_H


#define REC_BUFFER  1024

// Client to server control commands
#define CONTROL_KEEP_ALIVE      0x00
#define CONTROL_SHUTDOWN        0x02
#define CONTROL_VERSION         0x10
#define CONTROL_STRING          0x20
#define CONTROL_UPDATE          0x30
#define CONTROL_FIREON          0x40
#define CONTROL_FIREOFF         0x41


void network_start( void );
void network_stop( void );

//void send_packet1( unsigned char *packet, unsigned char len );


int network_write_packet( unsigned char packet_type, 
                          unsigned char *data, 
                          int len );


unsigned int network_connected( void );

#endif












 


